<?php
namespace Elementor;

class jozsingle extends Widget_Base {
	
	public function get_name() {
		return 'jozsingle';
	}
	
	public function get_title() {
		return 'جزییات محصولات';
	}
	
 public function get_icon() {
		return 'eicon eicon-editor-list-ul';
    }
    
    public function get_categories() {
        return [ 'farnamproduct' ];
    }

	
	protected function register_controls() {


	

		
		
  $this->start_controls_section(
            'farnam_product_style_2',
            [
                'label' => esc_html__( 'تنظیمات استایل و ظاهر', 'woolentor' ),
            ]
        );


		
		      $this->add_control(
'sepidcolor-3',
			[
				'label' => __( 'رنگ عنوان', 'plugin-domain' ),
				'type' => Controls_Manager::COLOR,
			
				'selectors' => [
					'{{WRAPPER}} .Property-sepid h4' => 'color: {{VALUE}} !important',
				],
			]
           );
		   
  $this->add_control(
'sepidcolor-5fr1',
			[
				'label' => __( 'رنگ المان کنار عنوان', 'plugin-domain' ),
				'type' => Controls_Manager::COLOR,
			
				'selectors' => [
					'{{WRAPPER}} .Property-sepid h4::before' => 'background: {{VALUE}} !important',
				],
			]
           );





 
		
		  $this->add_control(
'sepidcolor-4',
			[
				'label' => __( 'رنگ پس زمینه ویژگی', 'plugin-domain' ),
				'type' => Controls_Manager::COLOR,
			
				'selectors' => [
					'{{WRAPPER}} .Property-sepid.single-product-402-1-sepid ul li' => 'background: {{VALUE}} !important',
				],
			]
           );
		   
		   	      $this->add_control(
'sepidcolor-5',
			[
				'label' => __( 'رنگ متن ویژگی', 'plugin-domain' ),
				'type' => Controls_Manager::COLOR,
			
				'selectors' => [
					'{{WRAPPER}} .Property-sepid.single-product-402-1-sepid ul li' => 'color: {{VALUE}} !important',
				],
			]
           );
		   
	   	      $this->add_control(
'sepidcolor-5655',
			[
				'label' => __( 'رنگ قسمت پررنگ ویژگی', 'plugin-domain' ),
				'type' => Controls_Manager::COLOR,
			
				'selectors' => [
					'{{WRAPPER}} .Property-sepid.single-product-402-1-sepid ul li strong' => 'color: {{VALUE}} !important',
				],
			]
           );
		   
	
	
	
	 $this->add_control(
                        'titr-mehr-44444',
                        [
                            'label' => __( 'سایه باکس ویژگی', 'woolentor' ),
                            'type' => Controls_Manager::HEADING,
                                              ]
                    );

			$this->add_group_control(
			\Elementor\Group_Control_Box_Shadow::get_type(),
			[
				'name' => 'box_shadow4444',
				'selector' => '{{WRAPPER}} .Property-sepid.single-product-402-1-sepid ul li',
			]
		);
			
				  $this->add_control(
                        'titr-mehr-2rff',
                        [
                            'label' => __( 'کادر باکس ویژگی', 'woolentor' ),
                            'type' => Controls_Manager::HEADING,
                                              ]
                    );
		$this->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'border-mehr-ggg2',
				'selector' => '{{WRAPPER}} .Property-sepid.single-product-402-1-sepid ul li',
			]
		);	
				$this->add_responsive_control(
			'title_padding55t',
			[
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'label' => esc_html__( 'فاصله داخلی ویژگی', 'textdomain' ),
				'size_units' => [ 'px', '%', 'em', 'rem', 'custom' ],
				'selectors' => [
					'{{WRAPPER}} .Property-sepid.single-product-402-1-sepid ul li' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);
		
			
					 $this->add_responsive_control(
                        'sepidborder-3',
                        [
                            'label' => esc_html__( 'گردی باکس ویژگی', 'woolentor' ),
                            'type' => Controls_Manager::DIMENSIONS,
                            'selectors' => [
                                '{{WRAPPER}} .Property-sepid.single-product-402-1-sepid ul li' => 'border-radius: {{TOP}}px {{RIGHT}}px {{BOTTOM}}px {{LEFT}}px !important;',
                            ],
                        ]
                    );
		$this->end_controls_section();
		
	}
	protected function render() {
		$settings = $this->get_settings_for_display();
defined( 'ABSPATH' ) || exit;
global $product;

  if (!is_product()){
        return;
    }
  $product = wc_get_product();
    $id = $product->get_id();

				?>
			
<?php $option_meta = rwmb_meta('wysiwyg_1'); if (!empty($option_meta)) { ?>


<div class="Property-sepid single-product-402-1-sepid">
<?php echo $option_meta; ?>

</div>
<?php } ?>
		<?php


	}


	
	protected function _content_template() {

    }
	
	
}
